using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Quarterly_OrdersAccess  : Daolite.BusinessAccess
	{

		public  Quarterly_OrdersAccess() : base("Quarterly_Orders", NwindConfiger.GetConfiger())
		{
		}


		public Quarterly_Orders[] Query()
		{
			return base.Query<Quarterly_Orders>();
		}


		public Quarterly_Orders[] QueryRelated()
		{
			return base.QueryRelated<Quarterly_Orders>();
		}


		public Quarterly_Orders QueryOne(bool isRelated)
		{
			return base.QueryOne<Quarterly_Orders>(new Daolite.DataStruct.KeyPairs()
			, isRelated);
		}


	}
}
